# Uses of Interface
org.eclipse.birt.chart.model.component.Label

Packages that use Label
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.script

## Uses of Label in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Label
Modifier and Type
Method
Description
`Label`
GObjectFactory.`copyCompactLabel(Label src)`
`Label`
IGObjectFactory.`copyCompactLabel(Label src)`
`Label`
GObjectFactory.`copyOf(Label src)`
`Label`
IGObjectFactory.`copyOf(Label src)`
`Label`
GObjectFactory.`createLabel()`
`Label`
IGObjectFactory.`createLabel()`
`Label`
LegendEntryRenderingHints.`getLabel()`
`Label`
LegendLayoutHints.`getLaTitle()`
`Label`
LegendEntryRenderingHints.`getValueLabel()`
Methods in org.eclipse.birt.chart.computation with parameters of type Label
Modifier and Type
Method
Description
`void`
BIRTChartComputation.`applyWrapping(IDisplayServer xs, Label la, double dWrapping)`
`void`
IChartComputation.`applyWrapping(IDisplayServer xs, Label la, double dWapping)`
Apply the wrapping to a label.
`BoundingBox`
BIRTChartComputation.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
`BoundingBox`
IChartComputation.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
Compute the bounding box ( location and size ) of a label.
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, double dWrapping)`
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, double dWrapping, Double fontHeight)`
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, ITextMetrics itm, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
`double`
BIRTChartComputation.`computeFontHeight(IDisplayServer xs, Label la)`
`double`
IChartComputation.`computeFontHeight(IDisplayServer xs, Label la)`
Convenient method to compute the font's height of a label.
`static double`
Methods.`computeFontHeight(IDisplayServer xs, Label la)`
Convenient method to compute the font's height of a label.
`double`
BIRTChartComputation.`computeHeight(IDisplayServer xs, Label la)`
`double`
IChartComputation.`computeHeight(IDisplayServer xs, Label la)`
Compute the height of a label.
`static final double`
Methods.`computeHeight(IDisplayServer xs, Label la)`
`static final double`
Methods.`computeHeight(ITextMetrics itm, Label la)`
`BoundingBox`
BIRTChartComputation.`computeLabelSize(IDisplayServer xs, Label la, double dWrapping, Double fontHeight)`
`BoundingBox`
IChartComputation.`computeLabelSize(IDisplayServer xs, Label la, double dWrapping, Double fontHeight)`
Compute the size of a label.
`static final BoundingBox`
Methods.`computeLabelSize(IDisplayServer xs, Label la, double dWrapping, Double fontHeight)`
Compute the size of a label.
`RotatedRectangle`
BIRTChartComputation.`computePolygon(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
`RotatedRectangle`
IChartComputation.`computePolygon(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
Compute the bounding polygon of a label.
`static final RotatedRectangle`
Methods.`computePolygon(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
`static final RotatedRectangle`
Methods.`computePolygon(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
`static final RotatedRectangle`
Methods.`computePolygon(ITextMetrics itm, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
`static final Location`
Methods.`computeRotatedTopPoint(IDisplayServer xs, BoundingBox bbox, Label la, double fullHeight)`
`double`
BIRTChartComputation.`computeWidth(IDisplayServer xs, Label la)`
`double`
IChartComputation.`computeWidth(IDisplayServer xs, Label la)`
Compute the width of a label.
`static final double`
Methods.`computeWidth(IDisplayServer xs, Label la)`
`static final double`
Methods.`computeWidth(ITextMetrics itm, Label la)`
`double`
LabelLimiter.`computeWrapping(IDisplayServer xs, Label la)`
`static final double`
LabelLimiter.`computeWrapping(IDisplayServer xs, Label la, LabelLimiter lbLimit)`
Compute the wrapping with maxWidth, maxHeight.
`Label`
GObjectFactory.`copyCompactLabel(Label src)`
`Label`
IGObjectFactory.`copyCompactLabel(Label src)`
`Label`
GObjectFactory.`copyOf(Label src)`
`Label`
IGObjectFactory.`copyOf(Label src)`
`static EllipsisHelper.ITester`
EllipsisHelper.`createSimpleTester(IChartComputation cComp, IDisplayServer xs, Label la, Double fontHeight)`
`ITextMetrics`
BIRTChartComputation.`getTextMetrics(IDisplayServer xs, Label la, double wrapping)`
`ITextMetrics`
IChartComputation.`getTextMetrics(IDisplayServer xs, Label la, double wrapping)`
Returns a text metrics.
`LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la)`
modify the text of la to fit the limit size.
`LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, EnumSet<LabelLimiter.Option> options)`
modify the text of la to fit the limit size.
`static final LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, LabelLimiter lbLimit, EnumSet<LabelLimiter.Option> options)`
To compute the text of the label with a limited size, the label text will be wrapped and shortened with ellipsis if required, the size of the label bound will be returned.
`static EllipsisHelper`
EllipsisHelper.`simpleInstance(IChartComputation cComp, IDisplayServer xs, Label la, Double fontHeight)`
Constructors in org.eclipse.birt.chart.computation with parameters of type Label
Modifier
Constructor
Description
``
`LabelItem(org.eclipse.birt.chart.computation.LegendBuilder.LegendData lgData, Label la)`
``
`LabelItem(org.eclipse.birt.chart.computation.LegendBuilder.LegendData lgData, Label la, double dWrapping)`
``
`LegendEntryRenderingHints(Label la, Label valueLa, int dataIndex, Fill fill)`
``
`LegendLayoutHints(Size legendSize, Size titleSize, Label laTitle, boolean isMinSliceApplied, String minSliceText, LegendItemHints[] liha)`

## Uses of Label in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return Label
Modifier and Type
Method
Description
`Label`
OneAxis.`getLabel()`
`Label`
SeriesRenderingHints.`getLabelAttributes(Series se)`
`Label`
SeriesRenderingHints3D.`getLabelAttributes(Series se)`
`Label`
OneAxis.`getTitle()`
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type Label
Modifier and Type
Method
Description
`boolean`
AutoScale.`checkFit(IDisplayServer xs, Label la, int iLabelLocation)`
Checks all labels for any overlap for a given axis' scale
`double`
AutoScale.`computeAxisLabelThickness(IDisplayServer xs, Label la, int iOrientation)`
`double`
AutoScale.`computeStaggeredAxisLabelOffset(IDisplayServer xs, Label la, int iOrientation)`
`int`
AutoScale.`computeTicks(IDisplayServer xs, Label la, int iLabelLocation, int iOrientation, double dStart, double dEnd, boolean bConsiderStartLabel, boolean bConsiderEndLabel, AllAxes aax)`
`int`
AutoScale.`computeTicks(IDisplayServer xs, Label la, int iLabelLocation, int iOrientation, double dStart, double dEnd, boolean bConsiderStartEndLabels, AllAxes aax)`
`LabelLimiter`
PlotWithAxes.`getLabellLimiter(Label la)`
Look up table for label limit.
`void`
PlotWithAxes.`putLabelLimiter(Label la, LabelLimiter lbLimit)`
Look up table for label limit.

## Uses of Label in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type Label
Modifier and Type
Method
Description
`ITextMetrics`
DisplayAdapter.`getTextMetrics(Label la)`
`ITextMetrics`
DisplayAdapter.`getTextMetrics(Label la, boolean autoReuse)`
`ITextMetrics`
IDisplayServer.`getTextMetrics(Label la)`
An instance of a text metrics computation class capable of providing text metric information associated with a given Label to aid in typically computing the size of rendered text
`ITextMetrics`
IDisplayServer.`getTextMetrics(Label la, boolean autoReuse)`
An instance of a text metrics computation class capable of providing text metric information associated with a given Label to aid in typically computing the size of rendered text
`void`
ITextRenderer.`renderShadowAtLocation(IPrimitiveRenderer idr, int iLabelPosition, Location lo, Label la)`
This method renders the 'shadow' at an offset from the text 'rotated rectangle' subsequently rendered.
`void`
TextRendererAdapter.`renderShadowAtLocation(IPrimitiveRenderer idr, int labelPosition, Location lo, Label la)`
`void`
ITextRenderer.`renderTextAtLocation(IPrimitiveRenderer ipr, int iLabelPosition, Location lo, Label la)`
`void`
TextRendererAdapter.`renderTextAtLocation(IPrimitiveRenderer ipr, int labelPosition, Location lo, Label la)`
`void`
ITextRenderer.`renderTextInBlock(IDeviceRenderer idr, Bounds boBlock, TextAlignment taBlock, Label la)`
`void`
TextRendererAdapter.`renderTextInBlock(IDeviceRenderer idr, Bounds boBlock, TextAlignment taBlock, Label la)`
`void`
ITextMetrics.`reuse(Label la)`
Permits reuse of the text metrics instance for a new label with new attributes.
`void`
ITextMetrics.`reuse(Label la, double forceWrappingSize)`
Permits reuse of the text metrics instance for a new label with new attributes and a forcing wrapping size.
`void`
TextAdapter.`reuse(Label la)`
`void`
TextAdapter.`reuse(Label la, double forceWrappingSize)`

## Uses of Label in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Label
Modifier and Type
Method
Description
`Label`
PrimitiveRenderEvent.`getLabel()`
`final Label`
TextRenderEvent.`getLabel()`
Methods in org.eclipse.birt.chart.event with parameters of type Label
Modifier and Type
Method
Description
`static StructureSource`
WrappedStructureSource.`createAxisLabel(Axis ax, Label lb)`
Creates a WrappedStructure Source for type Axis Label with an Axis parent.
`static StructureSource`
WrappedStructureSource.`createAxisTitle(Axis ax, Label title)`
Creates a WrappedStructure Source for type Axis Title with an Axis parent.
`static StructureSource`
WrappedStructureSource.`createLegendTitle(Legend lg, Label title)`
Creates a WrappedStructure Source for type Legend Title with a Legend parent.
`static StructureSource`
WrappedStructureSource.`createSeriesTitle(Series se, Label title)`
Creates a WrappedStructure Source for type Series Title with a Series parent.
`final void`
TextRenderEvent.`setLabel(Label la)`
Sets the label of the text.

## Uses of Label in org.eclipse.birt.chart.factory

Fields in org.eclipse.birt.chart.factory with type parameters of type Label
Modifier and Type
Field
Description
`static final RunTimeContext.StateKey<Map<Label,LabelLimiter>>`
RunTimeContext.StateKey.`LABEL_LIMITER_LOOKUP_KEY`
Key to reference LabelLimiter lookup table.

## Uses of Label in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Label
Modifier and Type
Method
Description
`Label`
Chart.`getEmptyMessage()`
Returns the value of the 'Empty Message' containment reference.
Methods in org.eclipse.birt.chart.model with parameters of type Label
Modifier and Type
Method
Description
`void`
Chart.`setEmptyMessage(Label value)`
Sets the value of the '`Empty Message`' containment reference.

## Uses of Label in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Label
Modifier and Type
Method
Description
`Label`
ActionValue.`getLabel()`
Returns the value of the 'Label' containment reference.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type Label
Modifier and Type
Method
Description
`void`
ActionValue.`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.

## Uses of Label in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return Label
Modifier and Type
Method
Description
`Label`
ActionValueImpl.`getLabel()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Label
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ActionValueImpl.`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
ActionValueImpl.`setLabel(Label newLabel)`

## Uses of Label in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Label
Modifier and Type
Method
Description
`Label`
Label.`copyInstance()`
`Label`
ComponentFactory.`createLabel()`
Returns a new object of class 'Label'.
`Label`
Axis.`getLabel()`
Returns the value of the 'Label' containment reference.
`Label`
CurveFitting.`getLabel()`
Returns the value of the 'Label' containment reference.
`Label`
Dial.`getLabel()`
Returns the value of the 'Label' containment reference.
`Label`
MarkerLine.`getLabel()`
Returns the value of the 'Label' containment reference.
`Label`
MarkerRange.`getLabel()`
Returns the value of the 'Label' containment reference.
`Label`
Series.`getLabel()`
Returns the value of the 'Label' containment reference.
`Label`
Axis.`getSubTitle()`
Returns the value of the 'Sub Title' containment reference.
`Label`
Axis.`getTitle()`
Returns the value of the 'Title' containment reference.
Methods in org.eclipse.birt.chart.model.component that return types with arguments of type Label
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Label>`
ChartPreferences.`getLabels()`
Deprecated.
Returns the value of the 'Labels' containment reference list.
Methods in org.eclipse.birt.chart.model.component with parameters of type Label
Modifier and Type
Method
Description
`void`
Axis.`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
CurveFitting.`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
Dial.`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
MarkerLine.`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
MarkerRange.`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
Series.`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
Axis.`setSubTitle(Label value)`
Sets the value of the '`Sub Title`' containment reference.
`void`
Axis.`setTitle(Label value)`
Sets the value of the '`Title`' containment reference.

## Uses of Label in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement Label
Modifier and Type
Class
Description
`class`
`LabelImpl`
An implementation of the model object ' Label'.
Methods in org.eclipse.birt.chart.model.component.impl that return Label
Modifier and Type
Method
Description
`static Label`
LabelImpl.`copyCompactInstance(Label src)`
A convenient method to get an instance copy.
`Label`
LabelImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Label`
LabelImpl.`create()`
A convenience method to create an initialized 'Label' instance
`static final Label`
LabelImpl.`createDefault()`
A convenience method to create an initialized 'Label' instance
`static final Label`
LabelImpl.`createDefault(boolean visible)`
A convenience method to create an initialized 'Label' instance
`Label`
ComponentFactoryImpl.`createLabel()`
`Label`
AxisImpl.`getLabel()`
`Label`
CurveFittingImpl.`getLabel()`
`Label`
DialImpl.`getLabel()`
`Label`
MarkerLineImpl.`getLabel()`
`Label`
MarkerRangeImpl.`getLabel()`
`Label`
SeriesImpl.`getLabel()`
`Label`
AxisImpl.`getSubTitle()`
`Label`
AxisImpl.`getTitle()`
Methods in org.eclipse.birt.chart.model.component.impl that return types with arguments of type Label
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Label>`
ChartPreferencesImpl.`getLabels()`
Deprecated.
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Label
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
AxisImpl.`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
CurveFittingImpl.`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
DialImpl.`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerLineImpl.`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerRangeImpl.`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
SeriesImpl.`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
AxisImpl.`basicSetSubTitle(Label newSubTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
AxisImpl.`basicSetTitle(Label newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static Label`
LabelImpl.`copyCompactInstance(Label src)`
A convenient method to get an instance copy.
`void`
AxisImpl.`setLabel(Label newLabel)`
`void`
CurveFittingImpl.`setLabel(Label newLabel)`
`void`
DialImpl.`setLabel(Label newLabel)`
`void`
MarkerLineImpl.`setLabel(Label newLabel)`
`void`
MarkerRangeImpl.`setLabel(Label newLabel)`
`void`
SeriesImpl.`setLabel(Label newLabel)`
`void`
AxisImpl.`setSubTitle(Label newSubTitle)`
`void`
AxisImpl.`setTitle(Label newTitle)`

## Uses of Label in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Label
Modifier and Type
Method
Description
`Label`
ChartImpl.`getEmptyMessage()`
Methods in org.eclipse.birt.chart.model.impl with parameters of type Label
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ChartImpl.`basicSetEmptyMessage(Label newEmptyMessage, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
ChartImpl.`setEmptyMessage(Label newEmptyMessage)`

## Uses of Label in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Label
Modifier and Type
Method
Description
`Label`
LabelBlock.`getLabel()`
Returns the value of the 'Label' containment reference.
`Label`
Legend.`getTitle()`
Returns the value of the 'Title' containment reference.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Label
Modifier and Type
Method
Description
`void`
LabelBlock.`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
Legend.`setTitle(Label value)`
Sets the value of the '`Title`' containment reference.

## Uses of Label in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Label
Modifier and Type
Method
Description
`Label`
LabelBlockImpl.`getLabel()`
`Label`
LegendImpl.`getTitle()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Label
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
LabelBlockImpl.`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
LegendImpl.`basicSetTitle(Label newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
LabelBlockImpl.`setLabel(Label newLabel)`
`void`
LegendImpl.`setTitle(Label newTitle)`

## Uses of Label in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return Label
Modifier and Type
Method
Description
`Label`
GanttSeries.`getDecorationLabel()`
Returns the value of the 'Decoration Label' containment reference.
`Label`
PieSeries.`getTitle()`
Returns the value of the 'Title' containment reference.
Methods in org.eclipse.birt.chart.model.type with parameters of type Label
Modifier and Type
Method
Description
`void`
GanttSeries.`setDecorationLabel(Label value)`
Sets the value of the '`Decoration Label`' containment reference.
`void`
PieSeries.`setTitle(Label value)`
Sets the value of the '`Title`' containment reference.

## Uses of Label in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return Label
Modifier and Type
Method
Description
`Label`
GanttSeriesImpl.`getDecorationLabel()`
`Label`
PieSeriesImpl.`getTitle()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type Label
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
GanttSeriesImpl.`basicSetDecorationLabel(Label newDecorationLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
PieSeriesImpl.`basicSetTitle(Label newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
GanttSeriesImpl.`setDecorationLabel(Label newDecorationLabel)`
`void`
PieSeriesImpl.`setTitle(Label newTitle)`

## Uses of Label in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type Label
Modifier and Type
Method
Description
`final void`
BaseRenderer.`renderLabel(Object oSource, int iTextRenderType, Label laDataPoint, Position lp, Location lo, Bounds bo)`
This convenience method renders the data point label along with the shadow If there's a need to render the data point label and the shadow separately, each call should be made separately by calling into the primitive rendering interface directly.
`final void`
BaseRenderer.`renderLabel(Object oSource, int iTextRenderType, Label laDataPoint, Position lp, Location lo, Bounds bo, DeferredCache _dc)`
Renderer label with specified `DeferredCache`.

## Uses of Label in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type Label
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
Called after rendering each label on a given Axis.
`void`
ChartEventHandlerAdapter.`afterDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
Called after rendering the Title of an Axis.
`void`
ChartEventHandlerAdapter.`afterDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
Called after rendering the label for each datapoint.
`void`
ChartEventHandlerAdapter.`afterDrawLegendEntry(Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawLegendEntry(Label label, IChartScriptContext icsc)`
Deprecated.
Since 2.2.0 use afterDrawLegendItem( ) instead
`void`
ChartEventHandlerAdapter.`afterDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
Called after rendering the title of a Series .
`void`
ChartEventHandlerAdapter.`beforeDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
Called before rendering each label on a given Axis.
`void`
ChartEventHandlerAdapter.`beforeDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
Called before rendering the Title of an Axis.
`void`
ChartEventHandlerAdapter.`beforeDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
Called before rendering the label for each datapoint.
`void`
ChartEventHandlerAdapter.`beforeDrawLegendEntry(Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawLegendEntry(Label label, IChartScriptContext icsc)`
Deprecated.
Since 2.2.0 use beforeDrawLegendItem( ) instead
`void`
ChartEventHandlerAdapter.`beforeDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
Called before rendering the title of a Series.